Search subreddits
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/search/subreddits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/reddit/search/subreddits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/reddit/search/subreddits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/reddit/search/subreddits?q=programming",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/reddit/search/subreddits?q=programming&cursor=t5_subreddit_2&count=25",
"itemCount": 30,
"orderedItems": [
{
"type": "Group",
"id": "https://www.reddit.com/r/programming/",
"url": "https://www.reddit.com/r/programming/",
"name": "programming",
"entityId": "2fwo",
"slug": "programming",
"summary": "Subreddit dedicated to the news and discussions about the creation and use of technology and its surrounding issues.",
"description": "/r/technology is a place to share and discuss the latest developments, happenings and curiosities in the world of technology.",
"guidelines": "Please read the /r/technology sidebar for a list of our rules and guidelines.",
"published": "2008-01-24T17:36:07.000Z",
"isAdult": false,
"isSearchable": true,
"category": "Technology",
"memberCount": 5000000,
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Search
Search subreddits
Searches public Reddit subreddits across the platform.
GET
/
v1
/
reddit
/
search
/
subreddits
Search subreddits
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Query Parameters
Search query
Minimum string length:
1Example:
"askreddit"
Number of subreddits to fetch (maximum: 100)
Required range:
1 <= x <= 100Example:
25
Pagination cursor
Example:
"0"
Response
Returns matching subreddits
Show child attributes
Show child attributes
⌘I